{
  description = "FabApp";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixpkgs-unstable";

  };

  outputs =
    inputs@{ nixpkgs, ... }:
    let
      system = "x86_64-linux";
      pkgs = nixpkgs.legacyPackages.${system};
    in
    {
      formatter.${system} = pkgs.nixfmt-rfc-style;

      devShell.${system} =
        with pkgs;
        mkShell {
          LD_LIBRARY_PATH = lib.makeLibraryPath [ stdenv.cc.cc ]; # For libstdc++.so.6
          # ANDROID_HOME = "${androidenv.androidPkgs_9_0.androidsdk}/libexec/android-sdk";

          nativeBuildInputs = [
            clang
            just

            godot_4

            android-tools
            # androidenv.androidPkgs_9_0.androidsdk
            # androidenv.androidPkgs_9_0.platform-tools
            jre_headless
          ];
          buildInputs = [ sqlite ];
        };
    };
}
